<div class="container-xxl d-flex flex-column align-items-center p-3 h-100 gap-4">
  <h4 style="color: #495057; text-align: center">Личный кабинет</h4>
  <div class="user-icon">
    <i class="pi pi-user"
       style="color: #e3e8ec; font-size: 60px">
    </i>
  </div>
  <div class="d-flex flex-column gap-3">
    <button pButton type="button"
            routerLink="/products/account/user-orders"
            icon="pi pi-box"
            iconPos="left"
            class="gap-3 p-button-text p-button-raised p-button-secondary">
      Посмотреть заказы
    </button>
    <button pButton type="button"
            icon="pi pi-pencil"
            iconPos="left"
            (click)="passwordModal = true"
            class="gap-3 p-button-text p-button-raised p-button-secondary">
      Изменить пароль
    </button>
    <button pButton type="button"
            routerLink="/auth"
            icon="pi pi-sign-out"
            iconPos="left"
            class="gap-3 p-button-text p-button-secondary">
      Выйти из аккаунта
    </button>
  </div>
</div>

<p-dialog *ngIf="passwordModal" header="Изменение пароля" [(visible)]="passwordModal" [modal]="true">
  <app-change-password (closeModalEvent)="passwordModal = false"></app-change-password>
</p-dialog>

<p-toast position="top-left"></p-toast>
